Skip to content

Get Suggestion Patterns

GET
/api/canvas/{deal_id}/suggestion-patterns
curl --request GET \
--url https://example.com/api/canvas/example/suggestion-patterns \
--header 'Authorization: Bearer <token>'

Get the current user’s suggestion accept/dismiss patterns for a deal.

Returns per-category acceptance ratios to help editors understand which types of suggestions they find most valuable.

deal_id
required
Deal Id
string

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}